# $Revision: 1.14 $, $Date: 2002/09/26 16:24:30 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	File
%define		pnam	MMagic
Summary:	A Perl module that guesses file types based on their contents
Summary(cs):	Modul pro Perl na zjiovn typu souboru podle jeho obsahu
Summary(da):	En Perl-modul som gissar filtyper utgende fra deras indhold
Summary(de):	Ein Perl Modul, das eine Datei an ihrem Inhalt erkennt
Summary(es):	Mdulo Perl que conjetura tipos de ficheros basados en su contenido
Summary(fr):	Un module Perl qui devine les types de fichier en fonction de leur contenu
Summary(it):	Modulo Perl per individuare i tipi di file in base al contenuto
Summary(ja):	եƤ˴Ťƥե륿פ¬ Perl ⥸塼
Summary(ko):	Perl   뿡 ؼ  ¸ մϴ
Summary(pl):	Modu perla odgadujcy typ pliku na podstawie jego zawartoci
Summary(pt):	Um mdulo de Perl que adivinha o tipo dos ficheiros a partir do contedo
Summary(ru):	  Perl,       
Summary(sv):	En Perl-modul som gissar filtyper utgende frn deras innehll
Summary(zh_CN):	һȲ²ļ͵ Perl ģ顣
Name:		perl-File-MMagic
Version:	1.16
Release:	1
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildRequires:	perl-devel >= 5.6.1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The perl-File-MMagic package provides a Perl module for guessing a
file type from the contents of the file, similar to how the file(1)
command works.

%description -l cs
Balek obsahuje modul pro Perl, kter umouje zjiovat typ souboru
podle jeho obsahu. Jeho innost je podobn programu file(1).

%description -l da
Pakken perl-File-MMagic tillhandahller en Perl-modul for at gissa
filtypen fra indholdet i filen, lignende hvordan kommandoen file(1)
fungerar.

%description -l de
Das Paket perl-File-MMagic liefert ein Perl-Modul zum Herausfinden
eines Dateityps an Hand des Inhalts der Datei, hnlich wie die file(1)
arbeitet.

%description -l es
El conjunto de perl-File-MMagic proporciona a un mdulo del Perl para
adivinar un tipo de fichero por el contenido del fichero, similar a
como el comando de file(1) funciona.

%description -l fr
Le paquetage Perl-File-MMagic fournit un module Perl permettant de
deviner le type d'un fichier  partir de son contenu, semblable  la
faon dont fonctionne la commande du file(1).

%description -l it
Il pacchetto perl-File-MMagic fornisce un modulo Perl per individuare
un tipo di file dal suo contenuto, in modo simile al comando file(1).

%description -l ja
perl-File-MMagic ѥåϡեƤեΥפ
¬뤿 Perl ⥸塼󶡤file(1) ޥɤƱͤ
̤ޤ

%description -l pl
Modu ten rozpoznaje typ pliku na podstawie jego zawartoci podobnie
jak polecenie file(1).

%description -l pt
O pacote perl-File-MMagic oferece um mdulo de Perl para adivinhar o
tipo dum ficheiro a partir do seu contedo, de maneira semelhante 
que o comando file(1) funciona.

%description -l ru
 perl-File-MMagic    Perl,  
  ,   ,    
 file(1).

%description -l sv
Paketet perl-File-MMagic tillhandahller en Perl-modul fr att gissa
filtypen frn innehllet i filen, liknande hur kommandot file(1)
fungerar.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}
%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.en ChangeLog
%{perl_sitelib}/File/*
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-File-MMagic.spec,v $
Revision 1.14  2002/09/26 16:24:30  ankry
- added tests on bcond
- added man page to %%files
- version 1.16, release 1

Revision 1.13  2002/07/15 15:05:23  ankry
- merged translations from RH
- new %%doc
- cleaning
- release 2

Revision 1.12  2002/07/10 08:47:14  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.11  2002/05/15 17:14:33  kloczek
- merge translations from TurboLinux.

Revision 1.10  2002/05/15 12:50:39  areq
- 1.15, STBR

Revision 1.9  2002/05/11 14:28:07  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.8  2002/02/25 10:31:20  depesz
cleanup; revision++

Revision 1.7  2002/02/22 23:29:27  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/02/13 14:13:56  depesz
automatic: Source location unified, Relase Up

Revision 1.5  2002/02/10 15:26:04  depesz
adapterized

Revision 1.4  2002/01/18 02:14:17  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2002/01/11 11:17:14  kloczek
- reelase 2.

Revision 1.2  2002/01/08 09:21:01  qboosh
- typo

Revision 1.1  2002/01/05 23:11:34  areq
- Init PLD spec, STBR
